GetResourceDashboard
Returns a URL that you can use to access the application UIs for a specified resource, such as a session.
For resources in a running state, the application UI is a live user interface such as the Spark web UI. For terminated resources, the application UI is a persistent application user interface such as the Spark History Server.
Note
The URL is valid for one hour after you generate it. To access the application UI after that hour elapses, you must invoke the API again to generate a new URL.
Request Syntax
GET /applications/applicationId/dashboard?resourceId=resourceId&resourceType=resourceType HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- applicationId
-
The ID of the application that the resource belongs to.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[0-9a-z]+Required: Yes
- resourceId
-
The ID of the resource.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[0-9a-z]+Required: Yes
- resourceType
-
The type of resource to access the dashboard for. Currently, only
Sessionis supported.Valid Values:
SESSIONRequired: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"url": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- url
-
A URL to the resource dashboard. For an active resource, this URL opens the live application UI. For a terminated resource, this URL opens the persistent application UI. This value is not included in the response if the URL is not available.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- InternalServerException
-
Request processing failed because of an error or failure with the service.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found.
HTTP Status Code: 404
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: